from ..base import BaseOntology


class SWEET(BaseOntology):
    """
    The Semantic Web for Earth and Environment Technology Ontology (SWEET) is an investigation in improving discovery
    and use of Earth science data, through software understanding of the semantics of web resources.
    SWEET is a collection of ontologies conceptualizing a knowledge space for Earth system science,
    represented using the web ontology language (OWL). It includes both orthogonal concepts (space, time,
    Earth realms, physical quantities, etc.) and integrative science knowledge concepts (phenomena, events, etc.).

    This class processes the Semantic Web for Earth and Environment Technology Ontology (SWEET).
    """
    ontology_full_name = "Semantic Web for Earth and Environment Technology Ontology (SWEET)"


class ENVO(BaseOntology):
    """
    ENVO is an expressive, community ontology which helps humans, machines,
    and semantic web applications understand environmental entities of all kinds,
    from microscopic to intergalactic scales. As a FAIR-compliant resource, it promotes interoperability
    through the concise, controlled description of all things environmental.

    This class processes the Environment Ontology (ENVO).
    """
    ontology_full_name = "Environment Ontology (ENVO)"
