from ..base.ontology import BaseOntology


class CopyrightOnto(BaseOntology):
    """
    The Copyright Ontology tries to formalise the copyright domain as a way to facilitate
    automated (or computer-supported) copyright management through the whole content value chain,
    as it is shaped by copyright law. Therefore, it does not focus just on the last step,
    end-users permissions to consume content, like many rights languages and ontologies do.

    This class processes Copyright Ontology using default behavior.
    """
    ontology_full_name = "Copyright Ontology"
